petsc-3.7.1 2016-05-15
Report Typos and Errors

# SNESLineSearchGetLambda

Gets the last linesearch steplength discovered.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode  SNESLineSearchGetLambda(SNESLineSearch linesearch,PetscReal *lambda)

### Input Parameters

linesearch -linesearch context Many br

### Output Parameters

lambda -The last steplength computed during SNESLineSearchApply() Many br

Many br

### Notes

This is useful in methods where the solver is ill-scaled and Many brrequires some adaptive notion of the difference in scale between the Many brsolution and the function. For instance, SNESQN may be scaled by the Many brline search lambda using the argument -snes_qn_scaling ls. Many br

### See Also

SNESLineSearchSetLambda(), SNESLineSearchGetDamping(), SNESLineSearchApply()

Level:advanced
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages